# Uses of Class
org.bukkit.configuration.MemoryConfigurationOptions

Packages that use MemoryConfigurationOptions
Package
Description
org.bukkit.configuration
Classes dedicated to handling a plugin's runtime configuration.
org.bukkit.configuration.file
Classes dedicated to facilitating `configurations` to be read and stored on the filesystem.

## Uses of MemoryConfigurationOptions in org.bukkit.configuration

Fields in org.bukkit.configuration declared as MemoryConfigurationOptions
Modifier and Type
Field
Description
`protected MemoryConfigurationOptions`
MemoryConfiguration.`options`
Methods in org.bukkit.configuration that return MemoryConfigurationOptions
Modifier and Type
Method
Description
`@NotNull MemoryConfigurationOptions`
MemoryConfigurationOptions.`copyDefaults(boolean value)`
`@NotNull MemoryConfigurationOptions`
MemoryConfiguration.`options()`
`@NotNull MemoryConfigurationOptions`
MemoryConfigurationOptions.`pathSeparator(char value)`

## Uses of MemoryConfigurationOptions in org.bukkit.configuration.file

Subclasses of MemoryConfigurationOptions in org.bukkit.configuration.file
Modifier and Type
Class
Description
`class`
`FileConfigurationOptions`
Various settings for controlling the input and output of a `FileConfiguration`
`class`
`YamlConfigurationOptions`
Various settings for controlling the input and output of a `YamlConfiguration`
Methods in org.bukkit.configuration.file that return MemoryConfigurationOptions
Modifier and Type
Method
Description
`@NotNull MemoryConfigurationOptions`
FileConfigurationOptions.`parseComments(boolean value)`
Sets whether or not comments should be loaded and saved.